<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7f8f9">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="14dp"
        android:layout_marginTop="40dp"
        android:layout_marginEnd="14dp"
        android:background="@drawable/bg_white_10dp"
        app:layout_constraintTop_toBottomOf="@+id/toolbar_include">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_16"
            android:text="评价老师"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.cooleshow.base.widgets.RatingBar
            android:id="@+id/rating_bar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_28"
            android:gravity="center"
            android:layout_marginTop="@dimen/dp_54"
            app:starCount="5"
            app:starEmpty="@drawable/icon_star_default"
            app:starFill="@drawable/icon_star_select"
            app:starImageSize="@dimen/dp_28"
            app:starPadding="@dimen/dp_7"
            app:starStep="0"
            app:stepSize="Full"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_title_hint"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_17"
            android:text="如果满意请给五星好评喔～"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/rating_bar" />


        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_input"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_122"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_18"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@drawable/shape_bg_f7f8f9_4dp"
            app:layout_constraintTop_toBottomOf="@+id/tv_title_hint">

            <ImageView
                android:layout_width="@dimen/dp_16"
                android:layout_height="@dimen/dp_16"
                android:layout_marginLeft="@dimen/dp_12"
                android:layout_marginTop="@dimen/dp_13"
                android:background="@drawable/icon_evaluate_teacher_input"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <EditText
                android:id="@+id/et_input"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@null"
                android:inputType="text"
                android:maxLength="200"
                android:gravity="left"
                android:hint="请输入您对本次课程老师的评价"
                android:paddingLeft="@dimen/dp_36"
                android:paddingTop="@dimen/dp_12"
                android:paddingRight="@dimen/dp_12"
                android:paddingBottom="@dimen/dp_12"
                android:textColor="@color/color_333333"
                android:textColorHint="@color/color_999999"
                android:textSize="@dimen/sp_13" />

            <TextView
                android:id="@+id/tv_number"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="@dimen/sp_13"
                android:text="0/200"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                android:layout_marginBottom="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:textColor="@color/color_999999"/>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:id="@+id/tv_confirm"
            android:layout_width="@dimen/dp_186"
            android:layout_height="@dimen/dp_44"
            android:layout_marginTop="@dimen/dp_16"
            android:layout_marginBottom="@dimen/dp_18"
            android:background="@drawable/shape_course_status_ing"
            android:gravity="center"
            android:text="确认"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/cl_input"

            />

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>